/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*-  */
/*
 * data.h
 * Copyright (C) 2017 Unknown <francois@gautrais.eu>
 *
 * histodexc is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * histodexc is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _DATA_H_
#define _DATA_H_

#include <iostream>
#include <json/json.h>
#define DATA_TYPE_NONE		0
#define DATA_TYPE_GENERAL   1
#define DATA_TYPE_RESOURCE  2
#define DATA_TYPE_STAGE		3
#define DATA_TYPE_ZONE		4
typedef int data_type_t;
class Data
{
public:
						Data(Json::Value& v);
						Data();
	virtual				~Data();

	virtual Json::Value getJson(bool genFinal=false)=0; 
	virtual void		set(Json::Value& v)=0;
	data_type_t			getDataType();
	 
protected:
	data_type_t			m_data_type;
private:

};

#endif // _DATA_H_

