/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*-  */
/*
 * number3d.h
 * Copyright (C) 2016 Fran??ois Gautrais <francois@gautrais.eu>
 *
 * histodex is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * histodex is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _NUMBER3D_H_
#define _NUMBER3D_H_


#include <json/json.h>
#include <iostream>


class Number3d
{
public:
	Number3d(double x=0.0, double y=0.0, double z=0.0);
	Number3d(Json::Value& v);
	virtual ~Number3d();
    const Number3d& operator=(const Number3d&);
	std::string toString();
	double m_x;
	double m_y;
	double m_z;
	Json::Value getJson();
protected:

private:

};

#endif // _NUMBER3D_H_

