#ifndef POINT_H
#define POINT_H

#include <iostream>
#include <string>
#include <vector>
#include <fstream>

#include "merkator.h"
#include "json/json.h"


class Point
{
    public:
        Point(Json::Value& v);
        Point();
        Point(Node& n );
        Json::Value toJson();
        virtual ~Point();
        const std::string& getParent();
		const Point& operator=(const Point& a)
		{
			m_angle=a.m_angle;
			m_field=a.m_field;
			m_radius=a.m_radius;
			m_coord=a.m_coord;
			m_useAngle = a.m_useAngle;
			return a;
		}
		
        double m_angle;
        double m_field;
        double m_radius;
		bool   m_useAngle;
        Json::Value m_coord;
        std::string m_parent;
		int count_child() const;


    protected:
    private:
};

#endif // POINT_H
